> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recordings

Use this API to retrieve recording annotations for a document or organization. Supports optional filtering by recording ID and standard V2 pagination.

# Endpoint

`POST https://api.velt.dev/v2/recordings/get`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="organizationId" type="string" required>
      Organization ID.
    </ParamField>

    <ParamField body="documentId" type="string">
      Document ID. Filter recordings to a specific document.
    </ParamField>

    <ParamField body="recordingIds" type="string[]">
      Filter by specific recording IDs.
    </ParamField>

    <ParamField body="pageSize" type="number">
      Number of results per page. Minimum: 1.
    </ParamField>

    <ParamField body="pageToken" type="string">
      Pagination cursor returned from a previous response.
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

#### 1. Get all recordings for an organization and document

```JSON theme={null}
{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456"
  }
}
```

#### 2. Get specific recordings by ID

```JSON theme={null}
{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "recordingIds": ["rec-1", "rec-2"]
  }
}
```

#### 3. Get recordings with pagination

```JSON theme={null}
{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "pageSize": 10,
    "pageToken": "encryptedPageToken"
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Recorder annotations retrieved successfully.",
    "data": [
      {
        "type": "recorder",
        "recordingType": "screen",
        "mode": "floating",
        "metadata": {
          "apiKey": "YOUR_API_KEY",
          "documentId": "doc-456",
          "organizationId": "org-123"
        },
        "recordedTime": {
          "duration": 4204.55,
          "display": "00:00:04"
        },
        "displayName": "Screen Recording 1773814490242.mp4",
        "annotationId": "ypvmVTROaNU1qP4kq7Cc",
        "attachments": [
          {
            "attachmentId": 875113,
            "url": "https://storage.googleapis.com/...",
            "mimeType": "video/mp4",
            "name": "recording_1773814490242.mp4",
            "type": "mp4",
            "size": 103551
          }
        ],
        "latestVersion": 5
      }
    ],
    "pageToken": "nextPageToken"
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Recorder annotations retrieved successfully.",
      "data": [
        {
          "type": "recorder",
          "recordingType": "screen",
          "mode": "floating",
          "metadata": {
            "apiKey": "YOUR_API_KEY",
            "documentId": "doc-456",
            "organizationId": "org-123"
          },
          "recordedTime": {
            "duration": 4204.55,
            "display": "00:00:04"
          },
          "displayName": "Screen Recording 1773814490242.mp4",
          "annotationId": "ypvmVTROaNU1qP4kq7Cc",
          "attachments": [
            {
              "attachmentId": 875113,
              "url": "https://storage.googleapis.com/...",
              "mimeType": "video/mp4",
              "name": "recording_1773814490242.mp4",
              "type": "mp4",
              "size": 103551
            }
          ],
          "latestVersion": 5
        }
      ],
      "pageToken": "nextPageToken"
    }
  }
  ```
</ResponseExample>
